Page MenuHomePhabricator

Annotations in VisualEditor
Closed, DeclinedPublic0 Story Points

Description

Type of activity:Unconference
Main topic:

The problem

  • Annotations/comments would greatly improve the way of collaboration for wiki editors, at least in self-installed MW instances
  • There have been initiatives, but the projects have not been pursued
  • It is unclear how annotations fit into the overall editing/collaboration experience

Expected outcome

  • Get a picture of how annotations fit into our vision of future collaboration experience
  • Find a implementation strategy
  • Maybe revive Annotator extension

Current status of the discussion

...

Links

Event Timeline

Mglaser created this task.Oct 11 2016, 9:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 11 2016, 9:35 PM
dchan added a subscriber: dchan.EditedOct 20 2016, 11:31 PM

This is a great topic for discussion! But please can we call it something other than "Annotations"? How about "Remarks"?

We use the word "annotations" very heavily in the VisualEditor codebase to mean the styling applied to bits of text (bold, links etc; see https://github.com/wikimedia/VisualEditor/tree/master/src/dm/annotations ). It will make our job really difficult if we have to talk about, say, annotations within annotations inside annotations (e.g. italic links in a remark). The codebase also uses "comments" (less heavily) to refer to HTML comments.

Mglaser closed this task as Declined.Nov 3 2016, 10:23 AM

Closing this as I will not attend the summit.

Mglaser reopened this task as Open.Nov 4 2016, 3:25 PM
Mglaser reassigned this task from Mglaser to MarkAHershberger.
Mglaser added a subscriber: MarkAHershberger.

Reopening this task as @MarkAHershberger can take over.

Jdforrester-WMF set the point value for this task to 0.

That's something that have been in a discussion on the wikisource-ml to.

Such a feature should in fact be merged on a larger project which enable to switch misc. comments, like {{refnec}} boxes and so on. This way one may go into a "clean readable version". But if the function should be heavily used, it wouldn't make sense to include this comments directly in the article, unlike {{refnec}}. This would require both

  • an UX design, to enable to pick which comments should be displayed, according to categories, authors and so on
  • a software integration design, to determine where and how data should be stored and processed
Trizek-WMF added a subscriber: Trizek-WMF.

@Mglaser @MarkAHershberger Hey! As developer summit is less than four weeks from now, we are working on a plan to incorporate the ‘unconference sessions’ that have been proposed so far and would be generated on the spot. Thus, could you confirm if you plan to facilitate this session at the summit? Also, if your answer is 'YES,' I would like to encourage you to update/ arrange the task description fields to appear in the following format:

Session title
Main topic
Type of activity
Description Move ‘The Problem,' ‘Expected Outcome,' ‘Current status of the discussion’ and ‘Links’ to this section
Proposed by Your name linked to your MediaWiki URL, or profile elsewhere on the internet
Preferred group size
Any supplies that you would need to run the session e.g. post-its
Interested attendees (sign up below)

  1. Add your name here

We will be reaching out to the summit participants next week asking them to express their interest in unconference sessions by signing up.

To maintain the consistency, please consider referring to the template of the following task description: https://phabricator.wikimedia.org/T149564.

Tgr added a subscriber: Tgr.Dec 23 2016, 3:07 AM

Seems to be pretty much the same as T149667: Amazing Article Annotations?

Ping to anyone subscribing that a closely related session has been proposed as an unconference session today (under Annotations / T151958)

MarcoAurelio closed this task as Declined.Mar 21 2018, 12:46 PM
MarcoAurelio added a subscriber: MarcoAurelio.

Declining per T189753: Archive the Annotator extension. The extension is no longer maintained and has been archived.

Trizek-WMF reopened this task as Open.Mar 21 2018, 6:32 PM

@MarcoAurelio, does abandonning Annotator automatically leads to the abandon of the idea expressed in that task? I don't think so. That task can IMHO remain opened to track the idea.

Trizek-WMF updated the task description. (Show Details)Mar 21 2018, 6:33 PM

You can certainly keep the idea, but it won't be fixed on Annotator, hence the task was declined.

Deskana closed this task as Declined.Apr 12 2018, 12:45 PM
Deskana removed a project: VisualEditor.
Deskana added a subscriber: Deskana.

It's also not going to be fixed by the Editing team, which is why it's been in "External and Administrivia" for one and a half years. I've removed my tag, but now the only tag left on it is the archived Wikimedia-Developer-Summit (2017) tag, so it seems better to me to decline the task rather than leave it floating around as an orphan.

Please do feel free to revert my closure if you want to, but I think you would also need to find a place for the task to go if you do that. :-)